$(document).ready(function() {
		$('#formulario_usuario').bootstrapValidator
		({
			message: 'This value is not valid',
				fields: {
						usuario: {
								
									validators: {
											notEmpty: {
													message: 'El usuario es requerido y no puede estar vacio.'
														},
											stringLength: {
														min: 6,
														max: 15,
														message: 'El usuario debe estar entre 6 y 15 digitos.'
														}
											

												}
								},
						correo: {
							validators: {
								notEmpty: {
										message: 'La dirección de correo no puede estar vacia.'
											},
								emailAddress: {
											message: 'Debe contener "@" y tener la misma estructura que una direción de correo.'
											}
										}
								},
						nombre: {
								validators: {
											 notEmpty: {
														 message: 'El nombre es requerido.'
													 }
											 }
								},
						apellidos: {
									validators: {
												 notEmpty: {
															 message: 'El apellido es requerido'
														 }
												 }
									},
						dni: {
									validators: {
												 notEmpty: {
															 message: 'Se requiere el DNI, porfavor.'
														 },
												 
												regexp: {
															regexp:  /(^([0-9]{8,8}\-[A-Za-z])|^)$/ ,
															message: 'El DNI no tiene la estructura correcta'
														},
												stringLength: {
																min: 10,
																max: 10,
																message: 'El DNI debe contener 8 digitos, guion y letra.'
																}
												}		
									},
						direccion: {
									validators: {
												notEmpty: {
															message: 'Debe contener una dirección.'
															}
												} 
									},
						poblacion: {
									validators: {
												notEmpty: {
															message: 'Debe contener una población.'
															}
												} 
									},
						password: {
							validators: {
								notEmpty: {
											message: 'La contraseña es requerida, no puede estar vacio.'
											},
								identical: {
											field: 'confirmpassword',
											message: 'La contraseña y su confirmación no son la misma.'
											}
								
										}
									},
						telefono: {
						 		validators: {
						 				notEmpty:{
						 				         message: 'Debe contener un numero de telefono.'
						 				     	},
						 				regexp: {
													regexp: /^[9|6|7][0-9]{8}$/   ,
													message: 'El numero de telefono no es correcto.'
													}
											}
						  			},
						confirmpassword: {
								validators: {
									notEmpty: {
												message: 'La confirmación de contraseña no puede estar vacia.'
												},
									identical: {
												field: 'password',
												message: 'La confirmación y la contraseña deben ser la misma.'
												},
									different: {
												field: 'usuario',
												message: 'La confirmación no puede ser igual que el usuario.'
												}
											}
										}
						 
						

						}
		});
		
		$('#formulario_vehiculos').bootstrapValidator
		({
			message: 'This value is not valid',
				fields: {
						matricula: {
								
									validators: {
											notEmpty: {
													message: 'La matricula es requerida y no puede estar vacio.'
														},
											regexp: {
															regexp:  /(\d{4}-[\D\w]{3}|[\D\w]{1,2}-\d{4}-[\D\\w]{2})$/ ,
															message: 'La matricula no tiene la estructura correcta'
														},
											stringLength: {
														min: 8,
														max: 10,
														message: 'La matricula debe estar entre 8 y 10 digitos.'
														}
											

												}
								},
						marca: {
							validators: {
								notEmpty: {
										message: 'Seleccione una marca porfavor.'
											}
										}
								},
						modelo: {
								validators: {
											 notEmpty: {
														 message: 'Seleccione un modelo porfavor.'
													 }
											 }
								},
						
						dni_usuario: {
									validators: {
												 notEmpty: {
															 message: 'Se requiere el DNI del usuario, porfavor.'
														 },
												 
												regexp: {
															regexp:  /(^([0-9]{8,8}\-[A-Za-z])|^)$/ ,
															message: 'El DNI no tiene la estructura correcta'
														},
												stringLength: {
																min: 10,
																max: 10,
																message: 'El DNI debe contener 8 digitos, guion y letra.'
																}
												}		
									},
						administrador: {
									validators: {
												notEmpty: {
															message: 'Debe contener el nombre de un administrador.'
															}
												} 
									}
						 
						

						}
		});
		
		$('#formulario_reparaciones').bootstrapValidator
		({
			message: 'This value is not valid',
				fields: {
						matricula: {
								
									validators: {
											notEmpty: {
													message: 'La matricula del vehiculo es requerida y no puede estar vacio.'
														},
											regexp: {
															regexp:  /(\d{4}-[\D\w]{3}|[\D\w]{1,2}-\d{4}-[\D\\w]{2})$/ ,
															message: 'La matricula no tiene la estructura correcta'
														},
											stringLength: {
														min: 8,
														max: 10,
														message: 'La matricula debe estar entre 8 y 10 digitos.'
														}
											

												}
								},
						estado: {
							validators: {
								notEmpty: {
										message: 'Seleccione un estado porfavor.'
											}
										}
								},
						informe: {
								validators: {
											 notEmpty: {
														 message: 'Introduzca un comentario para la reparación.'
													 }
											 }
								}
						}
		});

		$('#form_busqueda_reparacion').bootstrapValidator
		({
			message: 'This value is not valid',
				fields: {
						matricula: {
								
									validators: {
											notEmpty: {
													message: 'La matricula del vehiculo es requerida y no puede estar vacio.'
														},
											regexp: {
															regexp:  /(\d{4}-[\D\w]{3}|[\D\w]{1,2}-\d{4}-[\D\\w]{2})$/ ,
															message: 'La matricula no tiene la estructura correcta'
														},
											stringLength: {
														min: 8,
														max: 10,
														message: 'La matricula debe estar entre 8 y 10 digitos.'
														}
											

												}
								}

						}
		});

		$('#modificar_reparaciones').bootstrapValidator
		({
			message: 'This value is not valid',
				fields: {
						matricula: {
								
									validators: {
											notEmpty: {
													message: 'La matricula es requerida y no puede estar vacio.'
														},
											regexp: {
															regexp:  /(\d{4}-[\D\w]{3}|[\D\w]{1,2}-\d{4}-[\D\\w]{2})$/ ,
															message: 'La matricula no tiene la estructura correcta'
														},
											stringLength: {
														min: 8,
														max: 10,
														message: 'La matricula debe estar entre 8 y 10 digitos.'
														}
											

												}
								},
						estado: {
							validators: {
								notEmpty: {
										message: 'Seleccione un estado porfavor.'
											}
										}
								},
						informe: {
								validators: {
											 notEmpty: {
														 message: 'Introduzca un comentario para la reparación.'
													 }
											 }
								}
						}
		});

		$('#formulario_cita').bootstrapValidator
		({
			message: 'This value is not valid',
				fields: {
						matricula: {
								
									validators: {
											notEmpty: {
													message: 'La matricula es requerida y no puede estar vacio.'
														},
											regexp: {
															regexp:  /(\d{4}-[\D\w]{3}|[\D\w]{1,2}-\d{4}-[\D\\w]{2})$/ ,
															message: 'La matricula no tiene la estructura correcta'
														},
											stringLength: {
														min: 8,
														max: 10,
														message: 'La matricula debe estar entre 8 y 10 digitos.'
														}
											

												}
								},
						fecha_solicitada: {
							validators: {
								notEmpty: {
										message: 'Seleccione una fecha porfavor.'
											}
										}
								}
						 
						

						}
		});
});
